//	ArrestExe - File Audit Utility
//	Copyright (C) 2002-2006 AnonyMouse
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#pragma once

#ifndef __AFXWIN_H__
	#error ̃t@C PCH Ɋ܂߂OɁA'stdafx.h' ܂߂ĂB
#endif

#include "resource.h"
#include "AppUtils.h"

#define ARRESTEXEAPP_THREAD_PRIORITY THREAD_PRIORITY_LOWEST
#define ARRESTEXEAPP_LOCALE "japanese"

class CArrestExeApp : public CWinApp
{
// Constructor
public:
	CArrestExeApp();

// Private Variables
private:
	TCHAR* m_IniFilePath;

// Global Variables ( Accessed By CAppUtils )
friend CAppUtils;
private:
	NOTIFYICONDATA m_NotifyIconData;
	bool m_IsRunning;
	bool m_MainWndVisible;
	CAppUtils::ETaskTrayIcon m_TaskTrayIcon;
	HICON m_IconStop;
	HICON m_IconRun;
	HICON m_IconWarn;
	CDeleteServiceThread* m_DeleteServiceThread;

// Override
public:
	virtual BOOL InitInstance();

// Message Map
	DECLARE_MESSAGE_MAP()
};

extern CArrestExeApp theApp;
