//	ArrestExe - File Audit Utility
//	Copyright (C) 2002-2006 AnonyMouse
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#pragma once

#ifndef __DELETETHREAD_H__
#define __DELETETHREAD_H__

#include "ThreadHandler.h"

#define DELETETHREAD_WAIT_FOR_ANOTHRE_PROCESS_RENAME_MILLISECOND 1000

class CDeleteThread : public CThreadHandler
{
public:
	CDeleteThread( CString ipFilePath, bool ipCompleteDelete, int ipPollingMilliSecond, CLogWriter* ipLogWriter );
	virtual ~CDeleteThread();

public:
	CString GetFilePath();

private:
	UINT RunImpl();

private:
	CString m_FilePath;
	bool m_CompleteDelete;
	bool m_Resumed;
};

#endif // __DELETETHREAD_H__
