//	ArrestExe - File Audit Utility
//	Copyright (C) 2002-2006 AnonyMouse
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#pragma once

#ifndef __LOGWRITER_H__
#define __LOGWRITER_H__

#include <afxmt.h>

class CLogWriter
{
public:
	CLogWriter();
	virtual ~CLogWriter();

public:
	void WriteLog( CString ipLogText );

private:
	virtual void WriteLogImpl( CString ipLogText ) = 0;

protected:
	CCriticalSection m_CriticalSection;
};

#endif // __LOGWRITER_H__
