//	ArrestExe - File Audit Utility
//	Copyright (C) 2002-2006 AnonyMouse
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

// Project Includes:
#include "Stdafx.h"
#include "ArrestExe.h"
#include "SystemUtils.h"

// General includes:

// Utility includes:

// Debug Codes:
#ifdef _DEBUG
#define new DEBUG_NEW
#endif

bool CSystemUtils::IsReadDirectoryChangesWUseable()
{
	// Win98 Has ReadDirectoryChangesW Entry In Kernel32.dll
	// So, You Should Check ErrorCode
	// Win98/Me ... 120: Function Unavailable
	// Win2K/XP ...  87: Parameter Invalid
	//
	::ReadDirectoryChangesW( NULL, NULL, 0, FALSE, 0, NULL, NULL, NULL );
	return( GetLastError() != 120 );
}
