//	ArrestExe - File Audit Utility
//	Copyright (C) 2002-2006 AnonyMouse
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#pragma once

#ifndef __FOLDERSCANTHREAD_H__
#define __FOLDERSCANTHREAD_H__

#include "ThreadHandler.h"

class CFolderScanThread : public CThreadHandler
{
public:
	CFolderScanThread( CString ipScanPath, CStringArray* ipExtensionArray,bool ipCompleteDelete, int ipPollingMilliSecond, CLogWriter* ipLogWriter );
	virtual ~CFolderScanThread();

private:
	UINT RunImpl();

private:
	bool ScanFolder( CString ipFolderPath );

private:
	CString m_ScanPath;
	bool m_CompleteDelete;
	CStringArray m_ExtensionArray;
};

#endif // __FOLDERSCANTHREAD_H__
